jQuery(function($){

	
	var isTecnicoEntidad = (IS_TECNICO_ENTIDAD);
	
	
	//Evento para el botón Limpiar de la ventana de detalle
	 $('#Entidad_detail_button_reset').on('click',resetearCamposDetalle);
	 
	 //Función para resetaer los campos en la pantalla de detalle
	 function resetearCamposDetalle(){
		var codEntidad = $('#codentidad_detail_table').val();
		 
		//Se comprueba si es un alta o una edición
		if(codEntidad === VACIO){
			limpiarDatosPagina();
		}
		else{ 
		 $.rup_ajax({
				url : $.rup.CTX_PATH + "entidades/get/"+codEntidad,
				contentType : "application/json",
				cache : false,
				dataType : "json",
				type : "GET",
				success : function(response) {
					recargarDatosPagina(response);
				},
				error : function(error) {
					ab39aUtils.feedback.pintarFeedbackError($.rup.i18n.app.errores["limpiarCampos"]);
				}
			});
		}
	}
	 
	 //Función que deja la pantalla como estaba ntes de empezar a editarla
	function recargarDatosPagina(response){
		$('#cifnif_detail_table').val(response.cifnif);
		$('#codth_detail_table').rup_combo("setRupValue", response.codth);
		$('#codmun_detail_table').rup_combo("setRupValue", response.codmun);
		$('#codmun_detail_table').rup_combo("setRupValue", response.codmun);
		$('#codloc_detail_table').rup_combo("setRupValue", response.codloc);
		$('#muniExt_detail_table').val(response.muniExt);
		$('#locaExt_detail_table').val(response.locaExt);
		$('#tipoIdentif_detail_table').rup_combo("setRupValue", response.tipoIdentif.codigo);
		$('#cp_detail_table').val(response.cp);
		$('#desentidad_detail_table').val(response.desentidad);
		$('#direccion_detail_table').val(response.direccion);
		$('#email_detail_table').val(response.email);
		$('#numCalle_detail_table').val(response.numCalle);
		$('#numTrabHombre_detail_table').val(response.numTrabHombre);
		$('#numTrabMujer_detail_table').val(response.numTrabMujer);
		$('#numTrabajadores_detail_table').val(response.numTrabajadores);
		$('#tfno_detail_table').val(response.tfno);		
		$('input:radio[value='+response.tipoEntidad+']').prop("checked", true );
		if($('#codth_detail_table').val()==99){
			$("#div_municipio").hide();
			$("#div_municipioExtr").show();
			$("#div_loc").hide();
			$("#div_locEx").show();
		}else{				
			$("#div_municipio").show();
			$("#div_municipioExtr").hide();
			$("#div_loc").show();
			$("#div_locEx").hide();
		}
	}

		 
	//Sirve para ocultar el bloque de los datos del técnico cuando se accede a la pantalla de detalle en modo alta 
	 
	 $("#Entidad").on("jqGridAddEditAfterFillData", function(event, $form, oper){
			
			if(oper==="edit"){
				$('#bloque_tecnico').show();
				$('#titulo_bloque_tecnico').show();
				var tfno =$("#tfno_detail_table").val();
				if(tfno===NUM_CERO){
					$("#tfno_detail_table").val(VACIO);
				}
				modifDatosEntidad(isTecnicoEntidad);
		    } else if(oper === 'add') {
		    	$('#bloque_tecnico').hide();
		    	$('#titulo_bloque_tecnico').hide();
		    	modifDatosEntidad(isTecnicoEntidad);
		    }
	});
	 
	 $('#tipoIdentif_detail_table').rup_combo({
			source: $.rup.CTX_PATH + "combo/tipoidentif",
			sourceParam: {label:"desc", value:"codigo"},
			blank: "",
			rowStriping: true,
			autocomplete :true
			});
	 
	//Función que limpia los campos del delatalle de la entidad en el caso de estar dando de alta una nueva.
		function limpiarDatosPagina(){
			$('#cifnif_detail_table').val(VACIO);
			$('#cp_detail_table').val(VACIO);
			$('#desentidad_detail_table').val(VACIO);
			$('#direccion_detail_table').val(VACIO);
			$('#email_detail_table').val(VACIO);
			$('#numCalle_detail_table').val(VACIO);
			$('#numTrabHombre_detail_table').val(VACIO);
			$('#numTrabMujer_detail_table').val(VACIO);
			$('#numTrabajadores_detail_table').val(VACIO);
			$('#tfno_detail_table').val(VACIO);		
			$('#codth_detail_table').rup_combo("setRupValue", "");
			$('#codmun_detail_table').rup_combo("setRupValue", "");
			$('#muniExt_detail_table').val("");
			$('#locaExt_detail_table').val("");
			$('#codloc_detail_table').rup_combo("setRupValue", "");
			$('#tipoIdentif_detail_table').rup_combo("setRupValue", "");
			$('input:radio[name=tipoEntidad]:checked').prop('checked', false);
		}
		
		if(isTecnicoEntidad=="true" ){
			$(".claseObliTec").addClass("obligatorio");
		}else{
			$(".claseObliTec").removeClass("obligatorio");
		}
			
	 
	
});
function cargarTrabajadores(){
	var mujeres = 0;
	if($("#numTrabMujer_detail_table").val()!=""){
		mujeres = $("#numTrabMujer_detail_table").val();
	}
	var hombres = 0;
	if($("#numTrabHombre_detail_table").val()!=""){
		hombres = $("#numTrabHombre_detail_table").val();			
	}
	$("#numTrabajadores_detail_table").val(parseFloat(mujeres) + parseFloat(hombres));	
}

function modifDatosEntidad(isTecnicoEntidad){
	if(isTecnicoEntidad=="true"){
		$('#tipoIdentif_detail_table').rup_combo("disable");
		$('#cifnif_detail_table').attr("disabled",true);
		$('#desentidad_detail_table').attr("disabled",true);
		$('#direccion_detail_table').attr("disabled",true);
		$('#numCalle_detail_table').attr("disabled",true);
		$('#cp_detail_table').attr("disabled",true);
		$('#codth_detail_table').rup_combo("disable");
		$('#codmun_detail_table').rup_combo("disable");
		$('#muniExt_detail_table').attr("disabled",true);
		$('#locaExt_detail_table').attr("disabled",true);
		$('#codloc_detail_table').rup_combo("disable");
	}else{
		$('#tipoIdentif_detail_table').rup_combo("enable");
		$('#cifnif_detail_table').attr("disabled",false);
		$('#desentidad_detail_table').attr("disabled",false);
		$('#direccion_detail_table').attr("disabled",false);
		$('#numCalle_detail_table').attr("disabled",false);
		$('#cp_detail_table').attr("disabled",false);
		$('#codth_detail_table').rup_combo("enable");
		$('#codmun_detail_table').rup_combo("enable");
		$('#muniExt_detail_table').attr("disabled",false);
		$('#locaExt_detail_table').attr("disabled",false);
		$('#codloc_detail_table').rup_combo("enable");
		
	}
}